DaVinci Developer 4.4.27 SP1

Enthält das vollständige Setup von DaVinci Developer 4.4.27 (SP1). Zum Betrieb ist eine Lizenz der Version 4.4 oder höher notwendig. Falls Sie die Lizenz auf Ihrem PC bereits aktiviert haben, ist keine erneute Aktivierung der Lizenz notwendig.

Diese Version ist nur für AUTOSAR 4 relevant. AUTOSAR 3 wird vom DaVinci Developer Version 3.7 oder früheren Versionen unterstützt.

HINWEIS

Mit dieser Version werden bestehende DaVinci DEV 3.x Workspaces auf ein neueres Format aktualisiert. Für die Erstellung/Aktualisierung von Projekten mit DaVinci Configurator wird das neueste Service Pack der entsprechenden DaVinci Configurator 5 Version benötigt.

DaVinci Developer 4.4 SP1 ist nur als 64-Bit-Version verfügbar, d.h. Windows 32-Bit wird nicht mehr unterstützt.

Mit Service Pack 1 (Update auf 4.4.27 SP1) werden die folgenden Änderungen wirksam:

Fixed Issues

  • Project update failed due to duplicate package names, which only differ in character case
  • Setting a timeout for a port access of category Operation Invocation had no effect
  • Wrong popup menu text was shown when searching for unused service ports
  • Elements were missing when importing a file and selective import was set to 'communication only'
  • Background Trigger without short name caused an invalid ARXML file on export
  • Calibration Access 'NotSpecified' was shown as 'NotAccessible'
  • Adapt connected Port-Prototypes didn't work for a delegation connector within a composition Component-Type
  • Leaving the 'Select Objects...' dialog with 'Cancel' caused an exception in the Multi-Edit dialog
  • UnauthorizedAccessException was thrown when trying to close a modified workspace with save
  • Data mapping's variant assignment was removed during arxml import
  • ReceiverComSpec wasn't updated when changing the 'Uses End-To-End Protection' value on the SenderComSpec
  • Error message was shown when changing values in a Multi-Edit dialog combobox based on different EnumTypes
  • Changing the 'MdSwAckTimeout' value in the Multi-Edit dialog had no effect
  • Changing properties of an Inter-Runnable Variable took several minutes
  • Check message #40248 "Multiple usage of the same name within a package" showed names in uppercase instead of the actual character case
Bitte beachten:
Dieses Software-Paket enthält eine ältere Version von WIBU CodeMeter, die eine kritische Sicherheitslücke enthält.
Bitte stellen Sie sicher, dass Sie den neuesten Vector License Client installiert haben, der diese Schwachstelle behebt. Weitere Details finden Sie im Vector Security Advisory.

Größe : 259.60 MB
MD5-Hash : 7719ab6666f34a9d994234cd76adbbf8
Jetzt herunterladen Zurück